## Documentation

- Overview
- Website
- Tutorials
- Class Index

## Classes

- _global_
- CL3D
- CL3D.AnimatedMeshSceneNode
- CL3D.Animator
- CL3D.AnimatorAnimateTexture
- CL3D.AnimatorCameraFPS
- CL3D.AnimatorCameraModelViewer
- CL3D.AnimatorCollisionResponse
- CL3D.AnimatorFlyCircle
- CL3D.AnimatorFlyStraight
- CL3D.AnimatorFollowPath
- CL3D.AnimatorOnClick
- CL3D.AnimatorOnProximity
- CL3D.AnimatorRotation
- CL3D.BillboardSceneNode
- CL3D.BoundingBoxTriangleSelector
- CL3D.Box3d
- CL3D.CameraSceneNode
- CL3D.ColorF
- CL3D.CopperCubeVariable
- CL3D.CopperLicht
- CL3D.CubeSceneNode
- CL3D.HotspotSceneNode
- CL3D.Light
- CL3D.LightSceneNode
- CL3D.Line3d
- CL3D.Material
- CL3D.Matrix4
- CL3D.Mesh
- CL3D.MeshBuffer
- CL3D.MeshSceneNode
- CL3D.MeshTriangleSelector
- CL3D.MetaTriangleSelector
- CL3D.Mobile2DInputSceneNode
- CL3D.OctTreeTriangleSelector
- CL3D.Overlay2DSceneNode
- CL3D.ParticleSystemSceneNode
- CL3D.PathSceneNode
- CL3D.Plane3d
- CL3D.Quaternion
- CL3D.Renderer
- CL3D.Scene
- CL3D.SceneNode
- CL3D.SkyBoxSceneNode
- CL3D.SoundSceneNode
- CL3D.TerrainSceneNode
- CL3D.Texture
- CL3D.TextureManager
- CL3D.Triangle3d
- CL3D.TriangleSelector
- CL3D.Vect2d
- CL3D.Vect3d
- CL3D.Vertex3D
- CL3D.WaterSurfaceSceneNode

CopperLicht API Documentation

# Built-In Namespace _global_

Method Summary
Method Attributes | Method Name and Description
--- | ---
| shaderCallBack()
| startCopperLichtFromFile(elementIdOfCanvas, filetoload, loadingScreenText, noWebGLText, fullpage, pointerLockForFPSCameras, loadingScreenBackgroundColor) Creates an instance of the CopperLicht 3D engine by loading the scene from a CopperCube file.

Method Detail
shaderCallBack()
Defined in: <documented.js>.

{CL3D.CopperLicht} startCopperLichtFromFile(elementIdOfCanvas, filetoload, loadingScreenText, noWebGLText, fullpage, pointerLockForFPSCameras, loadingScreenBackgroundColor)
Creates an instance of the CopperLicht 3D engine by loading the scene from a CopperCube file.
Defined in: <documented.js>.

Parameters:
elementIdOfCanvas
  The id of the canvas in your html document.
filetoload
  a filename such as 'test.ccbjs' or 'test.ccbz' which will be loaded, displayed and animated by the 3d engine. .ccbjs and .ccbz files can be created using the CopperCube editor, it is free to use for 14 days.
loadingScreenText
  {String} optional parameter specifying a loadingScreen text. Setting this to a text like "Loading" will cause a loading screen with this text to appear while the file is being loaded.
noWebGLText
  {String} optional parameter specifying a text to show when there is no webgl.
fullpage
  {Boolean} optional parameter, set to true to expand canvas automatically to the full browser size.
pointerLockForFPSCameras
  {Boolean} optional parameter, set to true to automatically use pointer lock for FPS cameras
loadingScreenBackgroundColor

Returns:
  {CL3D.CopperLicht} the instance of the CopperLicht engine

© 2011-2018 N.Gebhardt, Ambiera
Documentation generated by JsDoc Toolkit